{
  "codeName" : "Main3",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail/PSFORMS/Main3.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom"
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
  "logicName" : "表单项更新模式",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "LOAD;SAVE;REMOVE",
    "logicTag" : "form",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_form",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEFormItemUpdates" : [ {
    "codeName" : "GetUnitAndPrice",
    "name" : "通过商品获取单位和单价",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "GetUnitAndPrice"
    },
    "getPSDEFIUpdateDetails" : [ {
      "name" : "unitprice"
    }, {
      "name" : "unit"
    } ]
  } ],
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILID",
      "codeName" : "IBIZOrderDetailId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILNAME",
      "codeName" : "IBIZOrderDetailName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "ibizordername",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    }
  }, {
    "id" : "ibizuniproductname",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZUNIPRODUCTNAME",
      "codeName" : "IBIZUNIProductName"
    }
  }, {
    "id" : "unit",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "UNIT",
      "codeName" : "Unit"
    }
  }, {
    "id" : "unitprice",
    "dataType" : 7,
    "getPSAppDEField" : {
      "name" : "UNITPRICE",
      "codeName" : "UnitPrice"
    }
  }, {
    "id" : "ibizuniproductid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZUNIPRODUCTID",
      "codeName" : "IBIZUNIProductId"
    }
  }, {
    "id" : "ibizorderid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    }
  }, {
    "id" : "ibizorderdetailid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "IBIZORDERDETAILID",
      "codeName" : "IBIZOrderDetailId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "getCapPSLanguageRes" : {
      "lanResTag" : "CONTROL.DEFORM.IBIZORDERDETAIL.MAIN.FORMPAGE.FORMPAGE1"
    },
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "actionGroupExtractMode" : "ITEM",
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZORDERDETAIL.MAIN.GROUPPANEL.GROUP1"
      },
      "caption" : "订单明细基本信息",
      "codeName" : "group1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZORDERNAME"
        },
        "caption" : "订单名称",
        "codeName" : "ibizordername",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "ibizordername",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZORDERNAME",
          "codeName" : "IBIZOrderName"
        },
        "getPSEditor" : {
          "editorParams" : {
            "AC" : "TRUE",
            "PICKUPVIEW" : "TRUE"
          },
          "editorType" : "PICKER",
          "handlerType" : "PickupText",
          "itemParamJO" : {
            "temprs" : true
          },
          "name" : "ibizordername",
          "getPSAppDEACMode" : {
            "modelref" : true,
            "id" : "Default"
          },
          "getPSAppDEDataSet" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
          },
          "getPickupPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderPickupView.json",
            "viewType" : "DEPICKUPVIEW"
          },
          "valueItemName" : "ibizorderid",
          "enableAC" : true,
          "enablePickupView" : true,
          "forceSelection" : true,
          "showTrigger" : true,
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "valueItemName" : "ibizorderid",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZUNIPRODUCTNAME"
        },
        "caption" : "产品名称",
        "codeName" : "ibizuniproductname",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "ibizuniproductname",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZUNIPRODUCTNAME",
          "codeName" : "IBIZUNIProductName"
        },
        "getPSDEFormItemUpdate" : {
          "modelref" : true,
          "id" : "GetUnitAndPrice"
        },
        "getPSEditor" : {
          "editorParams" : {
            "AC" : "TRUE",
            "PICKUPVIEW" : "TRUE"
          },
          "editorType" : "PICKER",
          "handlerType" : "PickupText",
          "name" : "ibizuniproductname",
          "getPSAppDEACMode" : {
            "modelref" : true,
            "id" : "Default"
          },
          "getPSAppDEDataSet" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZUNIProduct.json"
          },
          "getPickupPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductPickupView.json",
            "viewType" : "DEPICKUPVIEW"
          },
          "valueItemName" : "ibizuniproductid",
          "enableAC" : true,
          "enablePickupView" : true,
          "forceSelection" : true,
          "showTrigger" : true,
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "valueItemName" : "ibizuniproductid",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UNIT"
        },
        "caption" : "单位",
        "codeName" : "unit",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "unit",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UNIT",
          "codeName" : "Unit"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "unit",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UNITPRICE"
        },
        "caption" : "单价",
        "codeName" : "unitprice",
        "dataType" : 7,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "unitprice",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UNITPRICE",
          "codeName" : "UnitPrice"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "unitprice",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colLG" : 12,
          "colMD" : 6,
          "colSM" : 6,
          "colXS" : 6,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : false
    }, {
      "codeName" : "druipart1",
      "detailStyle" : "DEFAULT",
      "detailType" : "DRUIPART",
      "name" : "druipart1",
      "getPSAppView" : {
        "accUserMode" : 2,
        "getCapPSLanguageRes" : {
          "lanResTag" : "DE.LNAME.IBIZORDER"
        },
        "caption" : "订单",
        "codeName" : "IBIZOrderEditView",
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderEditView.json",
        "name" : "IBIZOrderEditView",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        },
        "getPSAppViewEngines" : [ {
          "engineCat" : "VIEW",
          "engineType" : "EditView",
          "name" : "engine",
          "getPSUIEngineParams" : [ {
            "ctrlName" : "form",
            "name" : "FORM",
            "paramType" : "CTRL"
          }, {
            "name" : "P2K",
            "paramType" : "VALUE",
            "value" : 0
          } ]
        } ],
        "getPSAppViewLogics" : [ {
          "eventArg" : "deuiaction1",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_deuiaction1_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_deuiaction1"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem3",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem3_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem3"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem5",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem5_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem5"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem9_saveandstart",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem9_saveandstart_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem9_saveandstart"
          },
          "getPSViewCtrlName" : "toolbar"
        }, {
          "eventArg" : "tbitem15",
          "eventNames" : "CLICK",
          "logicTrigger" : "CTRLEVENT",
          "logicType" : "APPVIEWUIACTION",
          "name" : "toolbar_tbitem15_click",
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_tbitem15"
          },
          "getPSViewCtrlName" : "toolbar"
        } ],
        "getPSAppViewRefs" : [ {
          "name" : "WFSTART@1",
          "realOpenMode" : "POPUPMODAL",
          "realTitle" : "订单工作流启动视图",
          "getRealTitlePSLanguageRes" : {
            "lanResTag" : "PAGE.TITLE.IBIZORDER.WFSTARTVIEW"
          },
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderWFStartView.json",
            "viewType" : "DEWFSTARTVIEW"
          }
        } ],
        "getPSAppViewUIActions" : [ {
          "name" : "toolbar_deuiaction1",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "New"
          },
          "xDataControlName" : "form"
        }, {
          "name" : "toolbar_tbitem3",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "Save"
          },
          "xDataControlName" : "form"
        }, {
          "name" : "toolbar_tbitem5",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "SaveAndExit"
          },
          "xDataControlName" : "form"
        }, {
          "name" : "toolbar_tbitem9_saveandstart",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "SaveAndStart"
          },
          "xDataControlName" : "form"
        }, {
          "name" : "toolbar_tbitem15",
          "getPSUIAction" : {
            "modelref" : true,
            "id" : "Print"
          },
          "uIActionTarget" : "SINGLEKEY",
          "xDataControlName" : "form"
        } ],
        "getPSControls" : [ {
          "codeName" : "EditViewtoolbar",
          "controlType" : "TOOLBAR",
          "hookEventNames" : [ "CLICK" ],
          "logicName" : "工具栏模板（默认编辑界面）",
          "name" : "toolbar",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
          },
          "getPSControlLogics" : [ {
            "eventArg" : "deuiaction1",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_deuiaction1_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction1_click"
            }
          }, {
            "eventArg" : "tbitem3",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem3_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem3_click"
            }
          }, {
            "eventArg" : "tbitem5",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem5_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem5_click"
            }
          }, {
            "eventArg" : "tbitem9_saveandstart",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem9_saveandstart_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem9_saveandstart_click"
            }
          }, {
            "eventArg" : "tbitem15",
            "eventNames" : "CLICK",
            "logicTag" : "toolbar",
            "logicType" : "APPVIEWLOGIC",
            "name" : "toolbar_tbitem15_click",
            "getPSAppViewLogic" : {
              "modelref" : true,
              "id" : "toolbar_tbitem15_click"
            }
          } ],
          "getPSControlParam" : {
            "id" : "TOOLBAR"
          },
          "getPSDEToolbarItems" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.NEW"
            },
            "caption" : "新建",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction1",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_deuiaction1"
            },
            "getPSSysImage" : {
              "glyph" : "xf0f6@FontAwesome",
              "cssClass" : "fa fa-file-text-o"
            },
            "getPSUIAction" : {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.NEW"
              },
              "caption" : "新建",
              "codeName" : "New",
              "fullCodeName" : "New",
              "name" : "编辑界面_新建操作",
              "getPSSysImage" : {
                "glyph" : "xf0f6@FontAwesome",
                "cssClass" : "fa fa-file-text-o"
              },
              "predefinedType" : "EDITVIEW_NEWACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.NEW"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "New",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "新建",
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.NEW"
            },
            "showCaption" : true,
            "showIcon" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.SAVE"
            },
            "caption" : "保存",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "tbitem3",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem3"
            },
            "getPSSysCss" : {
              "cssName" : "deepskyblueToolBar"
            },
            "getPSSysImage" : {
              "glyph" : "xf0c7@FontAwesome",
              "cssClass" : "fa fa-save"
            },
            "getPSUIAction" : {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.SAVE"
              },
              "caption" : "保存",
              "codeName" : "Save",
              "fullCodeName" : "Save",
              "name" : "编辑界面_保存操作",
              "getPSSysImage" : {
                "glyph" : "xf0c7@FontAwesome",
                "cssClass" : "fa fa-save"
              },
              "predefinedType" : "EDITVIEW_SAVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.SAVE"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Save",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "保存",
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.SAVE"
            },
            "showCaption" : true,
            "showIcon" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE"
            },
            "caption" : "保存并关闭",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "tbitem5",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem5"
            },
            "getPSSysImage" : {
              "cssClass" : "sx-tb-saveandclose"
            },
            "getPSUIAction" : {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.EDITVIEW.SAVEANDCLOSE"
              },
              "caption" : "保存并关闭",
              "codeName" : "SaveAndExit",
              "fullCodeName" : "SaveAndExit",
              "name" : "编辑界面_保存并退出操作",
              "getPSSysImage" : {
                "cssClass" : "sx-tb-saveandclose"
              },
              "predefinedType" : "EDITVIEW_SAVEANDEXITACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "SaveAndExit",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "保存并关闭",
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.EDITVIEW.SAVEANDCLOSE"
            },
            "showCaption" : true,
            "showIcon" : true
          }, {
            "itemType" : "SEPERATOR",
            "name" : "tbitem8",
            "spanMode" : false
          }, {
            "caption" : "开始流程",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "tbitem9_saveandstart",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem9_saveandstart"
            },
            "getPSUIAction" : {
              "caption" : "开始流程",
              "codeName" : "SaveAndStart",
              "dataAccessAction" : "WFSTART",
              "fullCodeName" : "SaveAndStart",
              "name" : "开始流程",
              "getNextPSUIAction" : {
                "modelref" : true,
                "id" : "WFStartWizard@ODSPv1"
              },
              "getPSDEOPPriv" : {
                "modelref" : true,
                "id" : "WFSTART"
              },
              "predefinedType" : "EDITVIEW_SAVEANDSTARTWFACTION",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "SaveAndStart",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "开始流程",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "itemType" : "SEPERATOR",
            "name" : "tbitem13",
            "spanMode" : false
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.PRINT"
            },
            "caption" : "打印",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "tbitem15",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "toolbar_tbitem15"
            },
            "getPSSysImage" : {
              "glyph" : "xf02f@FontAwesome",
              "cssClass" : "fa fa-print"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.PRINT"
              },
              "caption" : "打印",
              "codeName" : "Print",
              "fullCodeName" : "Print",
              "name" : "编辑界面_打印操作",
              "getPSSysImage" : {
                "glyph" : "xf02f@FontAwesome",
                "cssClass" : "fa fa-print"
              },
              "predefinedType" : "EDITVIEW_PRINTACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.PRINT"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Print",
              "uIActionType" : "DEUIACTION"
            },
            "tooltip" : "打印",
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.PRINT"
            },
            "showCaption" : true,
            "showIcon" : true
          } ],
          "modelid" : "b912ff540f5614f63914a38067d84728",
          "modeltype" : "PSDETOOLBAR"
        }, {
          "codeName" : "Main",
          "controlType" : "FORM",
          "getCreatePSControlAction" : {
            "modelref" : true,
            "id" : "create"
          },
          "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSFORMS/Main.json",
          "getGetDraftFromPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraftfrom"
          },
          "getGetDraftPSControlAction" : {
            "modelref" : true,
            "id" : "loaddraft"
          },
          "getGetPSControlAction" : {
            "modelref" : true,
            "id" : "load"
          },
          "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
          "logicName" : "主编辑表单",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
          },
          "getPSControlHandler" : {
            "getPSHandlerActions" : [ {
              "actionName" : "GetDraft",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraft",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "GetDraft"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            }, {
              "actionName" : "GETDRAFTFROM",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "loaddraftfrom",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            }, {
              "actionName" : "Get",
              "actionType" : "DEACTION",
              "dataAccessAction" : "READ",
              "name" : "load",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Get"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            }, {
              "actionName" : "Create",
              "actionType" : "DEACTION",
              "dataAccessAction" : "CREATE",
              "name" : "create",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Create"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            }, {
              "actionName" : "Update",
              "actionType" : "DEACTION",
              "dataAccessAction" : "UPDATE",
              "name" : "update",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Update"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            }, {
              "actionName" : "Remove",
              "actionType" : "DEACTION",
              "dataAccessAction" : "DELETE",
              "name" : "remove",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            }, {
              "actionName" : "WFSTART",
              "actionType" : "WFACTION",
              "name" : "WFSTART",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            }, {
              "actionName" : "WFSUBMIT",
              "actionType" : "WFACTION",
              "name" : "WFSUBMIT",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
              }
            } ],
            "enableDEFieldPrivilege" : false,
            "id" : "编辑表单处理器"
          },
          "getPSControlLogics" : [ {
            "eventNames" : "LOAD;SAVE;REMOVE",
            "logicTag" : "form",
            "logicType" : "APPVIEWENGINE",
            "name" : "engine_form",
            "getPSAppViewEngine" : {
              "modelref" : true,
              "id" : "engine"
            }
          } ],
          "getPSControlParam" : {
            "autoLoad" : true,
            "showBusyIndicator" : true,
            "id" : "FORM"
          },
          "getPSDEFormItems" : [ {
            "id" : "srfupdatedate",
            "hidden" : true,
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            }
          }, {
            "id" : "srforikey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfkey",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "IBIZORDERID",
              "codeName" : "IBIZOrderId"
            }
          }, {
            "id" : "srfmajortext",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "IBIZORDERNAME",
              "codeName" : "IBIZOrderName"
            }
          }, {
            "id" : "srftempmode",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfuf",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfdeid",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfsourcekey",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "srfip_amount",
            "hidden" : true,
            "dataType" : 25
          }, {
            "id" : "orderuid",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "ORDERUID",
              "codeName" : "OrderUID"
            }
          }, {
            "id" : "ibizordername",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "IBIZORDERNAME",
              "codeName" : "IBIZOrderName"
            }
          }, {
            "id" : "ordertime",
            "dataType" : 5,
            "createDVT" : "CURTIME",
            "getPSAppDEField" : {
              "name" : "ORDERTIME",
              "codeName" : "OrderTime"
            }
          }, {
            "id" : "starttime",
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "STARTTIME",
              "codeName" : "StartTime"
            }
          }, {
            "id" : "endtime",
            "dataType" : 5,
            "getPSAppDEField" : {
              "name" : "ENDTIME",
              "codeName" : "EndTime"
            }
          }, {
            "id" : "ibizcustomername",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "IBIZCUSTOMERNAME",
              "codeName" : "IBIZCustomerName"
            }
          }, {
            "id" : "ordertype",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "ORDERTYPE",
              "codeName" : "OrderType"
            }
          }, {
            "id" : "amount",
            "dataType" : 7,
            "getPSAppDEField" : {
              "name" : "AMOUNT",
              "codeName" : "Amount"
            }
          }, {
            "id" : "detailnum",
            "dataType" : 9,
            "getPSAppDEField" : {
              "name" : "DETAILNUM",
              "codeName" : "DetailNum"
            }
          }, {
            "id" : "orderstate",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "ORDERSTATE",
              "codeName" : "OrderState"
            }
          }, {
            "id" : "memo",
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "MEMO",
              "codeName" : "Memo"
            }
          }, {
            "id" : "ibizcustomerid",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "IBIZCUSTOMERID",
              "codeName" : "IBIZCustomerId"
            }
          }, {
            "id" : "ibizorderid",
            "hidden" : true,
            "dataType" : 25,
            "getPSAppDEField" : {
              "name" : "IBIZORDERID",
              "codeName" : "IBIZOrderId"
            }
          } ],
          "getPSDEFormPages" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "CONTROL.DEFORM.IBIZORDER.MAIN.FORMPAGE.FORMPAGE1"
            },
            "caption" : "基本信息",
            "codeName" : "formpage1",
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMPAGE",
            "name" : "formpage1",
            "getPSDEFormDetails" : [ {
              "actionGroupExtractMode" : "ITEM",
              "getCapPSLanguageRes" : {
                "lanResTag" : "CONTROL.DEFORM.IBIZORDER.MAIN.GROUPPANEL.GROUP1"
              },
              "caption" : "订单基本信息",
              "codeName" : "group1",
              "detailStyle" : "DEFAULT",
              "detailType" : "GROUPPANEL",
              "name" : "group1",
              "getPSDEFormDetails" : [ {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.ORDERUID"
                },
                "caption" : "订单编号",
                "codeName" : "orderuid",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "orderuid",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "ORDERUID",
                  "codeName" : "OrderUID"
                },
                "getPSEditor" : {
                  "editorType" : "TEXTBOX",
                  "maxLength" : 100,
                  "name" : "orderuid"
                },
                "getPSLayoutPos" : {
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : false,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.IBIZORDERNAME"
                },
                "caption" : "订单名称",
                "codeName" : "ibizordername",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "ibizordername",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "IBIZORDERNAME",
                  "codeName" : "IBIZOrderName"
                },
                "getPSEditor" : {
                  "editorType" : "TEXTBOX",
                  "maxLength" : 200,
                  "name" : "ibizordername"
                },
                "getPSLayoutPos" : {
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : false,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.ORDERTIME"
                },
                "caption" : "订单时间",
                "codeName" : "ordertime",
                "createDVT" : "CURTIME",
                "dataType" : 5,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "itemWidth" : 230.0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "ordertime",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "ORDERTIME",
                  "codeName" : "OrderTime"
                },
                "getPSEditor" : {
                  "dateTimeFormat" : "YYYY-MM-DD",
                  "editorParams" : {
                    "TIMEFMT" : "YYYY-MM-DD"
                  },
                  "editorType" : "DATEPICKEREX_NOTIME",
                  "editorWidth" : 100.0,
                  "name" : "ordertime"
                },
                "getPSLayoutPos" : {
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "valueFormat" : "YYYY-MM-DD",
                "allowEmpty" : true,
                "showCaption" : true
              }, {
                "caption" : "订单开始时间",
                "codeName" : "starttime",
                "dataType" : 5,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "itemWidth" : 290.0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "starttime",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "STARTTIME",
                  "codeName" : "StartTime"
                },
                "getPSEditor" : {
                  "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
                  "editorParams" : {
                    "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
                  },
                  "editorType" : "DATEPICKER",
                  "editorWidth" : 160.0,
                  "name" : "starttime"
                },
                "getPSLayoutPos" : {
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "valueFormat" : "YYYY-MM-DD HH:mm:ss",
                "allowEmpty" : false,
                "showCaption" : true
              }, {
                "caption" : "订单结束时间",
                "codeName" : "endtime",
                "dataType" : 5,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "itemWidth" : 290.0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "endtime",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "ENDTIME",
                  "codeName" : "EndTime"
                },
                "getPSEditor" : {
                  "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
                  "editorParams" : {
                    "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
                  },
                  "editorType" : "DATEPICKER",
                  "editorWidth" : 160.0,
                  "name" : "endtime"
                },
                "getPSLayoutPos" : {
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "valueFormat" : "YYYY-MM-DD HH:mm:ss",
                "allowEmpty" : false,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.IBIZORDER.IBIZCUSTOMERNAME"
                },
                "caption" : "客户名称",
                "codeName" : "ibizcustomername",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "ibizcustomername",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "IBIZCUSTOMERNAME",
                  "codeName" : "IBIZCustomerName"
                },
                "getPSEditor" : {
                  "editorParams" : {
                    "AC" : "TRUE",
                    "PICKUPVIEW" : "TRUE"
                  },
                  "editorType" : "PICKER",
                  "handlerType" : "PickupText",
                  "name" : "ibizcustomername",
                  "getPSAppDEACMode" : {
                    "modelref" : true,
                    "id" : "Default"
                  },
                  "getPSAppDEDataSet" : {
                    "modelref" : true,
                    "id" : "FetchDefault"
                  },
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZCustomer.json"
                  },
                  "getPickupPSAppView" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZCustomerPickupView.json",
                    "viewType" : "DEPICKUPVIEW"
                  },
                  "valueItemName" : "ibizcustomerid",
                  "enableAC" : true,
                  "enablePickupView" : true,
                  "forceSelection" : true,
                  "showTrigger" : true,
                  "singleSelect" : true
                },
                "getPSLayoutPos" : {
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "valueItemName" : "ibizcustomerid",
                "allowEmpty" : true,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.ORDERTYPE"
                },
                "caption" : "订单类型",
                "codeName" : "ordertype",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "ordertype",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "ORDERTYPE",
                  "codeName" : "OrderType"
                },
                "getPSEditor" : {
                  "editorType" : "DROPDOWNLIST",
                  "name" : "ordertype",
                  "getPSAppCodeList" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERTYPE.json"
                  },
                  "singleSelect" : true
                },
                "getPSLayoutPos" : {
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "needCodeListConfig" : true,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.IBIZORDER.AMOUNT"
                },
                "caption" : "总计",
                "codeName" : "amount",
                "dataType" : 7,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "amount",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "AMOUNT",
                  "codeName" : "Amount"
                },
                "getPSEditor" : {
                  "editorType" : "TEXTBOX",
                  "name" : "amount"
                },
                "getPSLayoutPos" : {
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "unitName" : "元",
                "allowEmpty" : true,
                "enableItemPriv" : true,
                "enableUnitName" : true,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.DETAILNUM"
                },
                "caption" : "明细数",
                "codeName" : "detailnum",
                "dataType" : 9,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "detailnum",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "DETAILNUM",
                  "codeName" : "DetailNum"
                },
                "getPSEditor" : {
                  "editorType" : "SPAN",
                  "name" : "detailnum",
                  "enableLinkView" : false
                },
                "getPSLayoutPos" : {
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.ORDERSTATE"
                },
                "caption" : "订单状态",
                "codeName" : "orderstate",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 0,
                "ignoreInput" : 0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "orderstate",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "ORDERSTATE",
                  "codeName" : "OrderState"
                },
                "getPSEditor" : {
                  "editorType" : "DROPDOWNLIST",
                  "name" : "orderstate",
                  "getPSAppCodeList" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
                  },
                  "singleSelect" : true
                },
                "getPSLayoutPos" : {
                  "colMD" : 6,
                  "colSM" : 6,
                  "colXS" : 6,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "needCodeListConfig" : true,
                "showCaption" : true
              }, {
                "getCapPSLanguageRes" : {
                  "lanResTag" : "DEF.LNAME.MEMO"
                },
                "caption" : "备注",
                "codeName" : "memo",
                "dataType" : 25,
                "detailStyle" : "DEFAULT",
                "detailType" : "FORMITEM",
                "enableCond" : 3,
                "ignoreInput" : 0,
                "itemHeight" : 100.0,
                "labelPos" : "LEFT",
                "labelWidth" : 130,
                "name" : "memo",
                "noPrivDisplayMode" : 1,
                "getPSAppDEField" : {
                  "name" : "MEMO",
                  "codeName" : "Memo"
                },
                "getPSEditor" : {
                  "editorHeight" : 100.0,
                  "editorParams" : {
                    "HEIGHT" : "200"
                  },
                  "editorType" : "TEXTAREA_10",
                  "maxLength" : 2000,
                  "name" : "memo",
                  "showMaxLength" : true
                },
                "getPSLayoutPos" : {
                  "colMD" : 12,
                  "colSM" : 12,
                  "colXS" : 12,
                  "layout" : "TABLE_24COL"
                },
                "allowEmpty" : true,
                "showCaption" : true
              } ],
              "getPSLayout" : {
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "infoGroupMode" : false,
              "showCaption" : true
            }, {
              "actionGroupExtractMode" : "ITEM",
              "getCapPSLanguageRes" : {
                "lanResTag" : "CONTROL.DEFORM.IBIZORDER.MAIN.GROUPPANEL.GROUPPANEL1"
              },
              "caption" : "订单明细",
              "codeName" : "grouppanel1",
              "detailStyle" : "DEFAULT",
              "detailType" : "GROUPPANEL",
              "name" : "grouppanel1",
              "getPSDEFormDetails" : [ {
                "codeName" : "druipart1",
                "detailStyle" : "DEFAULT",
                "detailType" : "DRUIPART",
                "name" : "druipart1",
                "getPSAppView" : {
                  "accUserMode" : 2,
                  "getCapPSLanguageRes" : {
                    "lanResTag" : "DE.LNAME.IBIZORDERDETAIL"
                  },
                  "caption" : "订单明细",
                  "codeName" : "IBIZOrderDetailSGridView9",
                  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailSGridView9.json",
                  "gridRowActiveMode" : 2,
                  "name" : "IBIZOrderDetailSGridView9",
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                  },
                  "getPSAppViewEngines" : [ {
                    "engineCat" : "VIEW",
                    "engineType" : "GridView9",
                    "name" : "engine",
                    "getPSUIEngineParams" : [ {
                      "appViewLogicName" : "opendata",
                      "name" : "OPENDATA",
                      "paramType" : "LOGIC"
                    }, {
                      "appViewLogicName" : "newdata",
                      "name" : "NEWDATA",
                      "paramType" : "LOGIC"
                    }, {
                      "ctrlName" : "grid",
                      "name" : "GRID",
                      "paramType" : "CTRL"
                    } ]
                  } ],
                  "getPSAppViewLogics" : [ {
                    "eventArg" : "tbitem1",
                    "eventNames" : "CLICK",
                    "logicTrigger" : "CTRLEVENT",
                    "logicType" : "APPVIEWUIACTION",
                    "name" : "toolbar_tbitem1_click",
                    "getPSAppViewUIAction" : {
                      "modelref" : true,
                      "id" : "toolbar_tbitem1"
                    },
                    "getPSViewCtrlName" : "toolbar"
                  }, {
                    "eventArg" : "tbitem2",
                    "eventNames" : "CLICK",
                    "logicTrigger" : "CTRLEVENT",
                    "logicType" : "APPVIEWUIACTION",
                    "name" : "toolbar_tbitem2_click",
                    "getPSAppViewUIAction" : {
                      "modelref" : true,
                      "id" : "toolbar_tbitem2"
                    },
                    "getPSViewCtrlName" : "toolbar"
                  }, {
                    "eventArg" : "tbitem3",
                    "eventNames" : "CLICK",
                    "logicTrigger" : "CTRLEVENT",
                    "logicType" : "APPVIEWUIACTION",
                    "name" : "toolbar_tbitem3_click",
                    "getPSAppViewUIAction" : {
                      "modelref" : true,
                      "id" : "toolbar_tbitem3"
                    },
                    "getPSViewCtrlName" : "toolbar"
                  }, {
                    "eventArg" : "tbitem5",
                    "eventNames" : "CLICK",
                    "logicTrigger" : "CTRLEVENT",
                    "logicType" : "APPVIEWUIACTION",
                    "name" : "toolbar_tbitem5_click",
                    "getPSAppViewUIAction" : {
                      "modelref" : true,
                      "id" : "toolbar_tbitem5"
                    },
                    "getPSViewCtrlName" : "toolbar"
                  }, {
                    "eventArg" : "tbitem9",
                    "eventNames" : "CLICK",
                    "logicTrigger" : "CTRLEVENT",
                    "logicType" : "APPVIEWUIACTION",
                    "name" : "toolbar_tbitem9_click",
                    "getPSAppViewUIAction" : {
                      "modelref" : true,
                      "id" : "toolbar_tbitem9"
                    },
                    "getPSViewCtrlName" : "toolbar"
                  }, {
                    "eventArg" : "tbitem7",
                    "eventNames" : "CLICK",
                    "logicTrigger" : "CTRLEVENT",
                    "logicType" : "APPVIEWUIACTION",
                    "name" : "toolbar_tbitem7_click",
                    "getPSAppViewUIAction" : {
                      "modelref" : true,
                      "id" : "toolbar_tbitem7"
                    },
                    "getPSViewCtrlName" : "toolbar"
                  }, {
                    "logicTrigger" : "CUSTOM",
                    "logicType" : "SYSUILOGIC",
                    "name" : "newdata",
                    "getPSAppUILogic" : {
                      "actionAfterWizard" : "DEFAULT",
                      "logicType" : "PREDEFINED",
                      "name" : "新建数据",
                      "getNewDataPSAppView" : {
                        "getRefPSAppView" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailSEditView9.json",
                          "viewType" : "DEEDITVIEW9"
                        }
                      },
                      "getPSAppUILogicRefViews" : [ {
                        "getRefPSAppView" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailSEditView9.json",
                          "viewType" : "DEEDITVIEW9"
                        }
                      } ],
                      "viewLogicType" : "APP_NEWDATA",
                      "batchAddOnly" : false,
                      "enableBatchAdd" : false,
                      "enableWizardAdd" : false
                    }
                  }, {
                    "logicTrigger" : "CUSTOM",
                    "logicType" : "SYSUILOGIC",
                    "name" : "opendata",
                    "getPSAppUILogic" : {
                      "logicType" : "PREDEFINED",
                      "name" : "打开数据",
                      "getOpenDataPSAppView" : {
                        "getRefPSAppView" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailSEditView9.json",
                          "viewType" : "DEEDITVIEW9"
                        }
                      },
                      "getPSAppUILogicRefViews" : [ {
                        "getRefPSAppView" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailSEditView9.json",
                          "viewType" : "DEEDITVIEW9"
                        }
                      } ],
                      "viewLogicType" : "APP_OPENDATA",
                      "editMode" : true
                    }
                  } ],
                  "getPSAppViewRefs" : [ {
                    "name" : "EDITDATA",
                    "realTitle" : "订单明细编辑视图",
                    "getRealTitlePSLanguageRes" : {
                      "lanResTag" : "PAGE.TITLE.IBIZORDERDETAIL.SEDITVIEW9"
                    },
                    "getRefPSAppView" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailSEditView9.json",
                      "viewType" : "DEEDITVIEW9"
                    }
                  }, {
                    "name" : "NEWDATA",
                    "realTitle" : "订单明细编辑视图",
                    "getRealTitlePSLanguageRes" : {
                      "lanResTag" : "PAGE.TITLE.IBIZORDERDETAIL.SEDITVIEW9"
                    },
                    "getRefPSAppView" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailSEditView9.json",
                      "viewType" : "DEEDITVIEW9"
                    }
                  } ],
                  "getPSAppViewUIActions" : [ {
                    "name" : "toolbar_tbitem1",
                    "getPSUIAction" : {
                      "modelref" : true,
                      "id" : "New"
                    },
                    "xDataControlName" : "grid"
                  }, {
                    "name" : "toolbar_tbitem2",
                    "getPSUIAction" : {
                      "modelref" : true,
                      "id" : "Edit"
                    },
                    "uIActionTarget" : "SINGLEKEY",
                    "xDataControlName" : "grid"
                  }, {
                    "name" : "toolbar_tbitem3",
                    "getPSUIAction" : {
                      "modelref" : true,
                      "id" : "Copy"
                    },
                    "uIActionTarget" : "SINGLEKEY",
                    "xDataControlName" : "grid"
                  }, {
                    "name" : "toolbar_tbitem5",
                    "getPSUIAction" : {
                      "modelref" : true,
                      "id" : "Remove"
                    },
                    "uIActionTarget" : "MULTIKEY",
                    "xDataControlName" : "grid"
                  }, {
                    "name" : "toolbar_tbitem9",
                    "getPSUIAction" : {
                      "modelref" : true,
                      "id" : "ExportExcel"
                    },
                    "xDataControlName" : "grid"
                  }, {
                    "name" : "toolbar_tbitem7",
                    "getPSUIAction" : {
                      "modelref" : true,
                      "id" : "Refresh"
                    },
                    "xDataControlName" : "grid"
                  } ],
                  "getPSControls" : [ {
                    "aggMode" : "NONE",
                    "codeName" : "Main",
                    "columnEnableLink" : 2,
                    "controlType" : "GRID",
                    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail/PSGRIDS/Main.json",
                    "getFetchPSControlAction" : {
                      "modelref" : true,
                      "id" : "fetch"
                    },
                    "groupMode" : "NONE",
                    "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
                    "logicName" : "主表格",
                    "getPSAppDataEntity" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                    },
                    "getPSControlHandler" : {
                      "getPSHandlerActions" : [ {
                        "actionName" : "Get",
                        "actionType" : "DEACTION",
                        "dataAccessAction" : "READ",
                        "name" : "load",
                        "getPSAppDEMethod" : {
                          "modelref" : true,
                          "id" : "Get"
                        },
                        "getPSAppDataEntity" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                        }
                      }, {
                        "actionName" : "Create",
                        "actionType" : "DEACTION",
                        "dataAccessAction" : "CREATE",
                        "name" : "create",
                        "getPSAppDEMethod" : {
                          "modelref" : true,
                          "id" : "Create"
                        },
                        "getPSAppDataEntity" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                        }
                      }, {
                        "actionName" : "Update",
                        "actionType" : "DEACTION",
                        "dataAccessAction" : "UPDATE",
                        "name" : "update",
                        "getPSAppDEMethod" : {
                          "modelref" : true,
                          "id" : "Update"
                        },
                        "getPSAppDataEntity" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                        }
                      }, {
                        "actionName" : "Remove",
                        "actionType" : "DEACTION",
                        "dataAccessAction" : "DELETE",
                        "name" : "remove",
                        "getPSAppDEMethod" : {
                          "modelref" : true,
                          "id" : "Remove"
                        },
                        "getPSAppDataEntity" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                        }
                      }, {
                        "actionName" : "GetDraft",
                        "actionType" : "DEACTION",
                        "dataAccessAction" : "CREATE",
                        "name" : "loaddraft",
                        "getPSAppDEMethod" : {
                          "modelref" : true,
                          "id" : "GetDraft"
                        },
                        "getPSAppDataEntity" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                        }
                      }, {
                        "actionType" : "DEDATASET",
                        "name" : "fetch",
                        "getPSAppDEMethod" : {
                          "modelref" : true,
                          "id" : "FetchDefault"
                        },
                        "getPSAppDataEntity" : {
                          "modelref" : true,
                          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                        }
                      } ],
                      "userDRAction" : "READ",
                      "enableDEFieldPrivilege" : false,
                      "id" : "数据表格处理器"
                    },
                    "getPSControlLogics" : [ {
                      "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
                      "logicTag" : "grid",
                      "logicType" : "APPVIEWENGINE",
                      "name" : "engine_grid",
                      "getPSAppViewEngine" : {
                        "modelref" : true,
                        "id" : "engine"
                      }
                    } ],
                    "getPSControlParam" : {
                      "autoLoad" : true,
                      "showBusyIndicator" : true,
                      "id" : "GRID"
                    },
                    "getPSDEGridColumns" : [ {
                      "align" : "LEFT",
                      "cLConvertMode" : "NONE",
                      "getCapPSLanguageRes" : {
                        "lanResTag" : "DEF.LNAME.IBIZORDERDETAILNAME"
                      },
                      "caption" : "订单明细名称",
                      "codeName" : "ibizorderdetailname",
                      "columnType" : "DEFGRIDCOLUMN",
                      "dataItemName" : "ibizorderdetailname",
                      "excelCaption" : "订单明细名称",
                      "name" : "ibizorderdetailname",
                      "noPrivDisplayMode" : 1,
                      "getPSAppDEField" : {
                        "name" : "IBIZORDERDETAILNAME",
                        "codeName" : "IBIZOrderDetailName"
                      },
                      "width" : 150,
                      "widthUnit" : "PX",
                      "enableSort" : true
                    }, {
                      "align" : "LEFT",
                      "cLConvertMode" : "NONE",
                      "getCapPSLanguageRes" : {
                        "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZORDERNAME"
                      },
                      "caption" : "订单名称",
                      "codeName" : "IBIZordername",
                      "columnType" : "DEFGRIDCOLUMN",
                      "dataItemName" : "ibizordername",
                      "excelCaption" : "订单名称",
                      "name" : "IBIZordername",
                      "noPrivDisplayMode" : 1,
                      "getPSAppDEField" : {
                        "name" : "IBIZORDERNAME",
                        "codeName" : "IBIZOrderName"
                      },
                      "width" : 150,
                      "widthUnit" : "PX",
                      "enableSort" : true
                    }, {
                      "align" : "LEFT",
                      "cLConvertMode" : "NONE",
                      "getCapPSLanguageRes" : {
                        "lanResTag" : "DEF.LNAME.IBIZORDERDETAIL.IBIZUNIPRODUCTNAME"
                      },
                      "caption" : "产品名称",
                      "codeName" : "IBIZuniproductname",
                      "columnType" : "DEFGRIDCOLUMN",
                      "dataItemName" : "ibizuniproductname",
                      "excelCaption" : "产品名称",
                      "getLinkPSAppView" : {
                        "modelref" : true,
                        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZUNIProductRedirectView.json",
                        "viewType" : "DEREDIRECTVIEW"
                      },
                      "linkValueItem" : "ibizuniproductid",
                      "name" : "IBIZuniproductname",
                      "noPrivDisplayMode" : 1,
                      "getPSAppDEField" : {
                        "name" : "IBIZUNIPRODUCTNAME",
                        "codeName" : "IBIZUNIProductName"
                      },
                      "width" : 150,
                      "widthUnit" : "px",
                      "enableLinkView" : true,
                      "enableSort" : true
                    }, {
                      "align" : "LEFT",
                      "cLConvertMode" : "NONE",
                      "getCapPSLanguageRes" : {
                        "lanResTag" : "DEF.LNAME.QUANTITY"
                      },
                      "caption" : "数量",
                      "codeName" : "quantity",
                      "columnType" : "DEFGRIDCOLUMN",
                      "dataItemName" : "quantity",
                      "excelCaption" : "数量",
                      "name" : "quantity",
                      "noPrivDisplayMode" : 1,
                      "getPSAppDEField" : {
                        "name" : "QUANTITY",
                        "codeName" : "Quantity"
                      },
                      "width" : 150,
                      "widthUnit" : "px",
                      "enableSort" : true
                    }, {
                      "align" : "LEFT",
                      "cLConvertMode" : "NONE",
                      "getCapPSLanguageRes" : {
                        "lanResTag" : "DEF.LNAME.UNITPRICE"
                      },
                      "caption" : "单价",
                      "codeName" : "unitprice",
                      "columnType" : "DEFGRIDCOLUMN",
                      "dataItemName" : "unitprice",
                      "excelCaption" : "单价",
                      "name" : "unitprice",
                      "noPrivDisplayMode" : 1,
                      "getPSAppDEField" : {
                        "name" : "UNITPRICE",
                        "codeName" : "UnitPrice"
                      },
                      "width" : 150,
                      "widthUnit" : "px",
                      "enableSort" : true
                    }, {
                      "align" : "LEFT",
                      "cLConvertMode" : "NONE",
                      "getCapPSLanguageRes" : {
                        "lanResTag" : "DEF.LNAME.AMOUNT"
                      },
                      "caption" : "小计",
                      "codeName" : "amount",
                      "columnType" : "DEFGRIDCOLUMN",
                      "dataItemName" : "amount",
                      "excelCaption" : "小计",
                      "name" : "amount",
                      "noPrivDisplayMode" : 1,
                      "getPSAppDEField" : {
                        "name" : "AMOUNT",
                        "codeName" : "Amount"
                      },
                      "width" : 100,
                      "widthUnit" : "STAR",
                      "enableSort" : true
                    }, {
                      "align" : "LEFT",
                      "cLConvertMode" : "NONE",
                      "getCapPSLanguageRes" : {
                        "lanResTag" : "DEF.LNAME.UNIT"
                      },
                      "caption" : "单位",
                      "codeName" : "unit",
                      "columnType" : "DEFGRIDCOLUMN",
                      "dataItemName" : "unit",
                      "excelCaption" : "单位",
                      "name" : "unit",
                      "noPrivDisplayMode" : 1,
                      "getPSAppDEField" : {
                        "name" : "UNIT",
                        "codeName" : "Unit"
                      },
                      "width" : 150,
                      "widthUnit" : "PX",
                      "enableSort" : true
                    } ],
                    "getPSDEGridDataItems" : [ {
                      "dataType" : 25,
                      "name" : "ibizorderdetailname",
                      "getPSAppDEField" : {
                        "name" : "IBIZORDERDETAILNAME",
                        "codeName" : "IBIZOrderDetailName"
                      }
                    }, {
                      "dataType" : 25,
                      "name" : "ibizordername",
                      "getPSAppDEField" : {
                        "name" : "IBIZORDERNAME",
                        "codeName" : "IBIZOrderName"
                      }
                    }, {
                      "dataType" : 25,
                      "name" : "ibizuniproductname",
                      "getPSAppDEField" : {
                        "name" : "IBIZUNIPRODUCTNAME",
                        "codeName" : "IBIZUNIProductName"
                      }
                    }, {
                      "dataType" : 9,
                      "name" : "quantity",
                      "getPSAppDEField" : {
                        "name" : "QUANTITY",
                        "codeName" : "Quantity"
                      }
                    }, {
                      "dataType" : 7,
                      "name" : "unitprice",
                      "getPSAppDEField" : {
                        "name" : "UNITPRICE",
                        "codeName" : "UnitPrice"
                      }
                    }, {
                      "dataType" : 7,
                      "name" : "amount",
                      "getPSAppDEField" : {
                        "name" : "AMOUNT",
                        "codeName" : "Amount"
                      }
                    }, {
                      "dataType" : 25,
                      "name" : "unit",
                      "getPSAppDEField" : {
                        "name" : "UNIT",
                        "codeName" : "Unit"
                      }
                    }, {
                      "dataType" : 25,
                      "name" : "ibizorderdetailid",
                      "getPSAppDEField" : {
                        "name" : "IBIZORDERDETAILID",
                        "codeName" : "IBIZOrderDetailId"
                      }
                    }, {
                      "dataType" : 25,
                      "name" : "srfkey",
                      "getPSAppDEField" : {
                        "name" : "IBIZORDERDETAILID",
                        "codeName" : "IBIZOrderDetailId"
                      }
                    }, {
                      "dataType" : 25,
                      "name" : "srfdataaccaction",
                      "getPSAppDEField" : {
                        "name" : "IBIZORDERDETAILID",
                        "codeName" : "IBIZOrderDetailId"
                      },
                      "dataAccessAction" : true
                    }, {
                      "dataType" : 25,
                      "name" : "ibizorderid",
                      "getPSAppDEField" : {
                        "name" : "IBIZORDERID",
                        "codeName" : "IBIZOrderId"
                      }
                    }, {
                      "dataType" : 25,
                      "name" : "ibizuniproductid",
                      "getPSAppDEField" : {
                        "name" : "IBIZUNIPRODUCTID",
                        "codeName" : "IBIZUNIProductId"
                      }
                    }, {
                      "dataType" : 25,
                      "name" : "srfmajortext",
                      "getPSAppDEField" : {
                        "name" : "IBIZORDERDETAILNAME",
                        "codeName" : "IBIZOrderDetailName"
                      }
                    } ],
                    "getPSDEGridEditItems" : [ {
                      "caption" : "订单明细标识",
                      "codeName" : "srfkey",
                      "enableCond" : 3,
                      "ignoreInput" : 0,
                      "name" : "srfkey",
                      "getPSAppDEField" : {
                        "name" : "IBIZORDERDETAILID",
                        "codeName" : "IBIZOrderDetailId"
                      },
                      "getPSEditor" : {
                        "editorType" : "HIDDEN",
                        "name" : "srfkey"
                      },
                      "allowEmpty" : true
                    } ],
                    "pagingSize" : 10,
                    "getRemovePSControlAction" : {
                      "actionName" : "Remove",
                      "actionType" : "DEACTION",
                      "dataAccessAction" : "DELETE",
                      "name" : "remove",
                      "getPSAppDEMethod" : {
                        "modelref" : true,
                        "id" : "Remove"
                      },
                      "getPSAppDataEntity" : {
                        "modelref" : true,
                        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                      }
                    },
                    "sortMode" : "REMOTE",
                    "hasWFDataItems" : false,
                    "enableColFilter" : false,
                    "enableCustomized" : true,
                    "enableGroup" : false,
                    "enablePagingBar" : true,
                    "enableRowEdit" : false,
                    "enableRowEditOrder" : false,
                    "enableRowNew" : false,
                    "forceFit" : true,
                    "hideHeader" : false,
                    "noSort" : false,
                    "singleSelect" : false,
                    "name" : "grid",
                    "modelid" : "d1ab03dfc88189ae9dcc5e21a1458f93",
                    "modeltype" : "PSDEGRID"
                  }, {
                    "codeName" : "SGridView9toolbar",
                    "controlType" : "TOOLBAR",
                    "hookEventNames" : [ "CLICK" ],
                    "logicName" : "工具栏模板（表单嵌入数据列表界面）",
                    "name" : "toolbar",
                    "getPSAppDataEntity" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                    },
                    "getPSControlLogics" : [ {
                      "eventArg" : "tbitem1",
                      "eventNames" : "CLICK",
                      "logicTag" : "toolbar",
                      "logicType" : "APPVIEWLOGIC",
                      "name" : "toolbar_tbitem1_click",
                      "getPSAppViewLogic" : {
                        "modelref" : true,
                        "id" : "toolbar_tbitem1_click"
                      }
                    }, {
                      "eventArg" : "tbitem2",
                      "eventNames" : "CLICK",
                      "logicTag" : "toolbar",
                      "logicType" : "APPVIEWLOGIC",
                      "name" : "toolbar_tbitem2_click",
                      "getPSAppViewLogic" : {
                        "modelref" : true,
                        "id" : "toolbar_tbitem2_click"
                      }
                    }, {
                      "eventArg" : "tbitem3",
                      "eventNames" : "CLICK",
                      "logicTag" : "toolbar",
                      "logicType" : "APPVIEWLOGIC",
                      "name" : "toolbar_tbitem3_click",
                      "getPSAppViewLogic" : {
                        "modelref" : true,
                        "id" : "toolbar_tbitem3_click"
                      }
                    }, {
                      "eventArg" : "tbitem5",
                      "eventNames" : "CLICK",
                      "logicTag" : "toolbar",
                      "logicType" : "APPVIEWLOGIC",
                      "name" : "toolbar_tbitem5_click",
                      "getPSAppViewLogic" : {
                        "modelref" : true,
                        "id" : "toolbar_tbitem5_click"
                      }
                    }, {
                      "eventArg" : "tbitem9",
                      "eventNames" : "CLICK",
                      "logicTag" : "toolbar",
                      "logicType" : "APPVIEWLOGIC",
                      "name" : "toolbar_tbitem9_click",
                      "getPSAppViewLogic" : {
                        "modelref" : true,
                        "id" : "toolbar_tbitem9_click"
                      }
                    }, {
                      "eventArg" : "tbitem7",
                      "eventNames" : "CLICK",
                      "logicTag" : "toolbar",
                      "logicType" : "APPVIEWLOGIC",
                      "name" : "toolbar_tbitem7_click",
                      "getPSAppViewLogic" : {
                        "modelref" : true,
                        "id" : "toolbar_tbitem7_click"
                      }
                    } ],
                    "getPSControlParam" : {
                      "id" : "TOOLBAR"
                    },
                    "getPSDEToolbarItems" : [ {
                      "getCapPSLanguageRes" : {
                        "lanResTag" : "TBB.TEXT.*.NEW"
                      },
                      "caption" : "新建",
                      "groupExtractMode" : "ITEM",
                      "itemType" : "DEUIACTION",
                      "name" : "tbitem1",
                      "noPrivDisplayMode" : 2,
                      "getPSAppViewUIAction" : {
                        "modelref" : true,
                        "id" : "toolbar_tbitem1"
                      },
                      "getPSSysImage" : {
                        "glyph" : "xf0f6@FontAwesome",
                        "cssClass" : "fa fa-file-text-o"
                      },
                      "getPSUIAction" : {
                        "getCapPSLanguageRes" : {
                          "lanResTag" : "TBB.TEXT.*.NEW"
                        },
                        "caption" : "新建",
                        "codeName" : "New",
                        "fullCodeName" : "New",
                        "name" : "表格界面_新建操作",
                        "getPSSysImage" : {
                          "glyph" : "xf0f6@FontAwesome",
                          "cssClass" : "fa fa-file-text-o"
                        },
                        "predefinedType" : "GRIDVIEW_NEWACTION",
                        "timeout" : 60000,
                        "getTooltipPSLanguageRes" : {
                          "lanResTag" : "TBB.TOOLTIP.*.NEW"
                        },
                        "uIActionMode" : "SYS",
                        "uIActionTag" : "New",
                        "uIActionType" : "DEUIACTION"
                      },
                      "tooltip" : "新建",
                      "getTooltipPSLanguageRes" : {
                        "lanResTag" : "TBB.TOOLTIP.*.NEW"
                      },
                      "showCaption" : false,
                      "showIcon" : true
                    }, {
                      "getCapPSLanguageRes" : {
                        "lanResTag" : "TBB.TEXT.*.EDIT"
                      },
                      "caption" : "编辑",
                      "groupExtractMode" : "ITEM",
                      "itemType" : "DEUIACTION",
                      "name" : "tbitem2",
                      "noPrivDisplayMode" : 2,
                      "getPSAppViewUIAction" : {
                        "modelref" : true,
                        "id" : "toolbar_tbitem2"
                      },
                      "getPSSysImage" : {
                        "glyph" : "xf044@FontAwesome",
                        "cssClass" : "fa fa-edit"
                      },
                      "getPSUIAction" : {
                        "actionTarget" : "SINGLEKEY",
                        "getCapPSLanguageRes" : {
                          "lanResTag" : "TBB.TEXT.*.EDIT"
                        },
                        "caption" : "编辑",
                        "codeName" : "Edit",
                        "fullCodeName" : "Edit",
                        "name" : "表格界面_编辑操作",
                        "getPSSysImage" : {
                          "glyph" : "xf044@FontAwesome",
                          "cssClass" : "fa fa-edit"
                        },
                        "predefinedType" : "GRIDVIEW_EDITACTION",
                        "timeout" : 60000,
                        "getTooltipPSLanguageRes" : {
                          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
                        },
                        "uIActionMode" : "SYS",
                        "uIActionTag" : "Edit",
                        "uIActionType" : "DEUIACTION"
                      },
                      "tooltip" : "编辑",
                      "getTooltipPSLanguageRes" : {
                        "lanResTag" : "TBB.TOOLTIP.*.EDIT"
                      },
                      "showCaption" : false,
                      "showIcon" : true
                    }, {
                      "getCapPSLanguageRes" : {
                        "lanResTag" : "TBB.TEXT.*.COPY"
                      },
                      "caption" : "拷贝",
                      "groupExtractMode" : "ITEM",
                      "itemType" : "DEUIACTION",
                      "name" : "tbitem3",
                      "noPrivDisplayMode" : 2,
                      "getPSAppViewUIAction" : {
                        "modelref" : true,
                        "id" : "toolbar_tbitem3"
                      },
                      "getPSSysImage" : {
                        "glyph" : "xf0c5@FontAwesome",
                        "cssClass" : "fa fa-copy"
                      },
                      "getPSUIAction" : {
                        "actionTarget" : "SINGLEKEY",
                        "getCapPSLanguageRes" : {
                          "lanResTag" : "TBB.TEXT.*.COPY"
                        },
                        "caption" : "拷贝",
                        "codeName" : "Copy",
                        "fullCodeName" : "Copy",
                        "name" : "表格界面_拷贝操作",
                        "getPSSysImage" : {
                          "glyph" : "xf0c5@FontAwesome",
                          "cssClass" : "fa fa-copy"
                        },
                        "predefinedType" : "GRIDVIEW_COPYACTION",
                        "timeout" : 60000,
                        "getTooltipPSLanguageRes" : {
                          "lanResTag" : "TBB.TOOLTIP.*.COPY"
                        },
                        "uIActionMode" : "SYS",
                        "uIActionTag" : "Copy",
                        "uIActionType" : "DEUIACTION"
                      },
                      "tooltip" : "拷贝",
                      "getTooltipPSLanguageRes" : {
                        "lanResTag" : "TBB.TOOLTIP.*.COPY"
                      },
                      "showCaption" : false,
                      "showIcon" : true
                    }, {
                      "itemType" : "SEPERATOR",
                      "name" : "tbitem4",
                      "spanMode" : false
                    }, {
                      "getCapPSLanguageRes" : {
                        "lanResTag" : "TBB.TEXT.*.REMOVE"
                      },
                      "caption" : "删除",
                      "groupExtractMode" : "ITEM",
                      "itemType" : "DEUIACTION",
                      "name" : "tbitem5",
                      "noPrivDisplayMode" : 2,
                      "getPSAppViewUIAction" : {
                        "modelref" : true,
                        "id" : "toolbar_tbitem5"
                      },
                      "getPSSysImage" : {
                        "glyph" : "xf00d@FontAwesome",
                        "cssClass" : "fa fa-remove"
                      },
                      "getPSUIAction" : {
                        "actionTarget" : "MULTIKEY",
                        "getCapPSLanguageRes" : {
                          "lanResTag" : "TBB.TEXT.*.REMOVE"
                        },
                        "caption" : "删除",
                        "codeName" : "Remove",
                        "fullCodeName" : "Remove",
                        "name" : "表格界面_删除操作",
                        "getPSSysImage" : {
                          "glyph" : "xf00d@FontAwesome",
                          "cssClass" : "fa fa-remove"
                        },
                        "predefinedType" : "GRIDVIEW_REMOVEACTION",
                        "timeout" : 60000,
                        "getTooltipPSLanguageRes" : {
                          "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
                        },
                        "uIActionMode" : "SYS",
                        "uIActionTag" : "Remove",
                        "uIActionType" : "DEUIACTION"
                      },
                      "tooltip" : "删除",
                      "getTooltipPSLanguageRes" : {
                        "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
                      },
                      "showCaption" : false,
                      "showIcon" : true
                    }, {
                      "itemType" : "SEPERATOR",
                      "name" : "tbitem6",
                      "spanMode" : false
                    }, {
                      "getCapPSLanguageRes" : {
                        "lanResTag" : "TBB.TEXT.*.EXPORT"
                      },
                      "caption" : "导出",
                      "groupExtractMode" : "ITEM",
                      "itemType" : "DEUIACTION",
                      "name" : "tbitem9",
                      "noPrivDisplayMode" : 2,
                      "getPSAppViewUIAction" : {
                        "modelref" : true,
                        "id" : "toolbar_tbitem9"
                      },
                      "getPSSysImage" : {
                        "glyph" : "xf1c3@FontAwesome",
                        "cssClass" : "fa fa-file-excel-o"
                      },
                      "getPSUIAction" : {
                        "getCapPSLanguageRes" : {
                          "lanResTag" : "TBB.TEXT.*.EXPORT"
                        },
                        "caption" : "导出",
                        "codeName" : "ExportExcel",
                        "fullCodeName" : "ExportExcel",
                        "name" : "表格界面_导出操作（Excel）",
                        "getPSSysImage" : {
                          "glyph" : "xf1c3@FontAwesome",
                          "cssClass" : "fa fa-file-excel-o"
                        },
                        "predefinedType" : "GRIDVIEW_EXPORTACTION",
                        "timeout" : 60000,
                        "getTooltipPSLanguageRes" : {
                          "lanResTag" : "TBB.TOOLTIP.*.EXPORT"
                        },
                        "uIActionMode" : "SYS",
                        "uIActionTag" : "ExportExcel",
                        "uIActionType" : "DEUIACTION"
                      },
                      "tooltip" : "导出",
                      "getTooltipPSLanguageRes" : {
                        "lanResTag" : "TBB.TOOLTIP.*.EXPORT"
                      },
                      "showCaption" : false,
                      "showIcon" : true
                    }, {
                      "itemType" : "SEPERATOR",
                      "name" : "tbitem8",
                      "spanMode" : false
                    }, {
                      "caption" : "刷新",
                      "groupExtractMode" : "ITEM",
                      "itemType" : "DEUIACTION",
                      "name" : "tbitem7",
                      "noPrivDisplayMode" : 2,
                      "getPSAppViewUIAction" : {
                        "modelref" : true,
                        "id" : "toolbar_tbitem7"
                      },
                      "getPSSysImage" : {
                        "glyph" : "xf021@FontAwesome",
                        "cssClass" : "fa fa-refresh"
                      },
                      "getPSUIAction" : {
                        "caption" : "刷新",
                        "codeName" : "Refresh",
                        "fullCodeName" : "Refresh",
                        "name" : "表格界面_刷新操作",
                        "getPSSysImage" : {
                          "glyph" : "xf021@FontAwesome",
                          "cssClass" : "fa fa-refresh"
                        },
                        "predefinedType" : "GRIDVIEW_REFRESHACTION",
                        "timeout" : 60000,
                        "uIActionMode" : "SYS",
                        "uIActionTag" : "Refresh",
                        "uIActionType" : "DEUIACTION"
                      },
                      "tooltip" : "刷新",
                      "showCaption" : false,
                      "showIcon" : true
                    } ],
                    "modelid" : "6f51fd0c1d4d11cbae46c0ce36c75cb3",
                    "modeltype" : "PSDETOOLBAR"
                  } ],
                  "getPSDEViewCodeName" : "SGridView9",
                  "getPSDEViewId" : "93fd6bae6c1d15c491d459d2b0f05b8d",
                  "getPSViewLayoutPanel" : {
                    "codeName" : "Layoutpanel",
                    "controlStyle" : "APPDEGRIDVIEW9",
                    "controlType" : "VIEWLAYOUTPANEL",
                    "name" : "layoutpanel",
                    "getPSAppDataEntity" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                    },
                    "getPSControlParam" : { },
                    "layoutBodyOnly" : true,
                    "layoutPanel" : true,
                    "useDefaultLayout" : true
                  },
                  "title" : "订单明细表格视图",
                  "getTitlePSLanguageRes" : {
                    "lanResTag" : "PAGE.TITLE.IBIZORDERDETAIL.SGRIDVIEW9"
                  },
                  "viewStyle" : "DEFAULT",
                  "viewType" : "DEGRIDVIEW9",
                  "xDataControlName" : "grid",
                  "enableDP" : true,
                  "enableExport" : true,
                  "enableFilter" : false,
                  "enableImport" : true,
                  "enableRowEdit" : false,
                  "rowEditDefault" : false,
                  "modelid" : "aa59a7578f3da5d69d6e28ab021d867c",
                  "modeltype" : "PSAPPDEVIEW",
                  "getPSAppDERSPaths" : [ [ {
                    "actionRSMode" : 1,
                    "codeName" : "IBIZORDERDETAILS",
                    "dataRSMode" : 0,
                    "majorDECodeName" : "IBIZOrder",
                    "majorDEName" : "IBIZORDER",
                    "getMajorPSAppDataEntity" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
                    },
                    "minorDECodeName" : "IBIZOrderDetail",
                    "minorDEName" : "IBIZORDERDETAIL",
                    "getMinorPSAppDataEntity" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
                    },
                    "name" : "订单实体_订单明细",
                    "getParentPSAppDEField" : {
                      "name" : "IBIZORDERID",
                      "codeName" : "IBIZOrderId"
                    },
                    "rSMode" : 2,
                    "tempDataOrder" : 10
                  } ] ]
                },
                "getPSLayoutPos" : {
                  "colMD" : 24,
                  "layout" : "TABLE_24COL"
                },
                "paramItem" : "orderuid",
                "parentDataJO" : {
                  "srfparentdefname" : "IBIZORDERID",
                  "srfparentdename" : "IBIZORDER",
                  "SRFPARENTTYPE" : "DER1N",
                  "srfparentmode" : "DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID",
                  "SRFDER1NID" : "DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID"
                },
                "needSave" : false,
                "refreshItemsSetParamOnly" : false,
                "showCaption" : true
              } ],
              "getPSLayout" : {
                "columnCount" : 24,
                "layout" : "TABLE_24COL"
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "infoGroupMode" : false,
              "showCaption" : true
            } ],
            "getPSLayout" : {
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "infoGroupMode" : false
          } ],
          "getPSLayout" : {
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getRemovePSControlAction" : {
            "modelref" : true,
            "id" : "remove"
          },
          "tabHeaderPos" : "TOP",
          "getUpdatePSControlAction" : {
            "modelref" : true,
            "id" : "update"
          },
          "getWFStartPSControlAction" : {
            "modelref" : true,
            "id" : "WFSTART"
          },
          "getWFSubmitPSControlAction" : {
            "modelref" : true,
            "id" : "WFSUBMIT"
          },
          "noTabHeader" : true,
          "name" : "form",
          "modelid" : "9222eaa963655f7f76cff5972d695cbf",
          "modeltype" : "PSDEFORM_EDITFORM"
        } ],
        "getPSDEViewCodeName" : "EditView",
        "getPSDEViewId" : "9db7aea8dbd410a563f85a9f48872af1",
        "getPSViewLayoutPanel" : {
          "codeName" : "Layoutpanel",
          "controlStyle" : "APPDEEDITVIEW",
          "controlType" : "VIEWLAYOUTPANEL",
          "name" : "layoutpanel",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
          },
          "getPSControlParam" : { },
          "layoutBodyOnly" : true,
          "layoutPanel" : true,
          "useDefaultLayout" : true
        },
        "title" : "订单编辑视图",
        "getTitlePSLanguageRes" : {
          "lanResTag" : "PAGE.TITLE.IBIZORDER.EDITVIEW"
        },
        "viewStyle" : "DEFAULT",
        "viewType" : "DEEDITVIEW",
        "xDataControlName" : "form",
        "enableDP" : true,
        "showDataInfoBar" : true,
        "modelid" : "7f46cd67bcfbeac794fcc5c91d8bcceb",
        "modeltype" : "PSAPPDEVIEW"
      },
      "getPSDEFormItemUpdate" : {
        "modelref" : true,
        "id" : "GetUnitAndPrice"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "parentDataJO" : {
        "srfparentdename" : "IBIZORDERDETAIL",
        "SRFPARENTTYPE" : "CUSTOM"
      },
      "needSave" : false,
      "refreshItemsSetParamOnly" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "noTabHeader" : true,
  "modelid" : "c8fa35dde827da1e4b80ecba796e5ed9",
  "modeltype" : "PSDEFORM_EDITFORM"
}